Bug 268775 - Not using proxy for connecting to DCS
Not using proxy for connecting to DCS
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: ODCS
8.2
PC Windows 7
: P2 (vote)
: TBD
Assigned To: Tomas Stupka
issues@connecteddeveloper
bugdb_25022639
:
Depends on: 268803
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-01 18:31 UTC by Tomas Pavek
Modified: 2016-11-13 02:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Pavek 2016-11-01 18:31:05 UTC
We've got a report on JDev that it is not possible to connect to DCS (Developer Cloud Service) server from a corporate network using a proxy - the proxy that the user set in the IDE preferences is not used when making the connection. (This is not a case for Oracle network where all DCS instances, including those in public cloud, are reachable directly, without proxy.)

Without setting the user configured proxy explicitly on the connection the JDK's SocksSocketImpl tries to get a SOCKS proxy via ProxySelector, but that is not a workable option (e.g. people not having a SOCKS proxy). It must simply work with the provided HTTP/HTTPS proxy.

It looks like the code that would set the proxy when making the connection to DCS is missing. Something that happens e.g. in MylynUtils.setCredentials(..) for task repository connections is missing in ODCSClientImpl: the proxy, and potentially also credentials for it, should be obtained via NetworkSettings API and set to ApacheHttpRestClientDelegate when created.

We should also check the DCS tasks - whether they get the proxy used correctly because accessed as Mylyn repositories, or if some fix is needed there as well.
Comment 1 Tomas Stupka 2016-11-02 13:36:40 UTC
fixed in jet-main #ef784824323d
Comment 2 Tomas Stupka 2016-11-03 13:59:17 UTC
in the original fix is the password retrieved via 
key = NetworkSettings.getKeyForAuthenticationPassword()
psswd = Keyring.read(key)

this does not work well in jdev, as the psswd isn't stored in keyring 
ProxyCredentialsProvider.getProxyPassword(...) returns the correct psswd, but this method isn't reflecteted in NetworkSettings
Comment 3 Quality Engineering 2016-11-04 03:02:34 UTC
Integrated into 'main-silver', will be available in build *201611040002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ef784824323d
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #268775 - Not using proxy for connecting to DCS
Comment 4 Tomas Stupka 2016-11-11 10:08:54 UTC
fixed in jet-main #75efaca21cb2
Comment 5 Quality Engineering 2016-11-13 02:53:31 UTC
Integrated into 'main-silver', will be available in build *201611130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/75efaca21cb2
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #268775 - Not using proxy for connecting to DCS


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo